// package: bet.beteran.member_balance
// file: models/member_balance.proto

import * as jspb from 'google-protobuf';

export class MemberBalance extends jspb.Message {
  getId(): string;
  setId(value: string): void;

  getMemberId(): string;
  setMemberId(value: string): void;

  getBalance(): number;
  setBalance(value: number): void;

  getBalanceBota(): number;
  setBalanceBota(value: number): void;

  getBalanceSum(): number;
  setBalanceSum(value: number): void;

  getCreatedAt(): number;
  setCreatedAt(value: number): void;

  getUpdatedAt(): number;
  setUpdatedAt(value: number): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): MemberBalance.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: MemberBalance
  ): MemberBalance.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: MemberBalance,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): MemberBalance;
  static deserializeBinaryFromReader(
    message: MemberBalance,
    reader: jspb.BinaryReader
  ): MemberBalance;
}

export namespace MemberBalance {
  export type AsObject = {
    id: string;
    memberId: string;
    balance: number;
    balanceBota: number;
    balanceSum: number;
    createdAt: number;
    updatedAt: number;
  };
}
